Subject: Re: [PATCH 3/3] git-am: add am.threeWay config variable

From: Matthieu Moy <[email-masked]>
Date: Thu, 28 May 2015 21:20:06 +0200

Junio C Hamano <[email-masked]> writes:

>> I've noticed that in the block above that initializes all the variables,
>>
>>     sign= utf8=t keep= keepcr= skip= interactive= resolved= rebasing= abort=
>>     messageid= resolvemsg= resume= scissors= no_inbody_headers=
>>     git_apply_opt=
>>     committer_date_is_author_date=
>>     ignore_date=
>>     allow_rerere_autoupdate=
>>     gpg_sign_opt=
>>
>> threeway is not initialized at all, and thus I think running
>> "threeway=t git am blah" will affect the behavior of git-am.
>
> Correct.  I overlooked this when I originally did threeway.  Perhaps
> a preparatory bugfix patch is warranted before this one.
>
>> Also, I noticed that we do not check for --no-interactive,
>> --no-signoff, --no-keep, --no-whitespace, etc.
>
> Even though adding support for them would not hurt, lack of these
> are OK, as long as we do not have configuration variables to tweak
> their defaults.

I wouldn't worry about these issues, as the port to C will make them
disappear anyway.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/